import { createRouter, createWebHistory } from 'vue-router'
import { useUserStore } from '@/stores/user'

const router = createRouter({
  history: createWebHistory(),
  routes: [{ path: '/:pathMatch(.*)*', redirect: '/student' }]
})

router.beforeEach(async (to, from, next) => {
  const user = useUserStore()
  await user.getUser()
  if (!user.isLogin) {
    location.href = `${import.meta.env.VITE_LOGIN_URL}?rd=${encodeURIComponent(location.href)}`
  }
  next()
})

export default router
